Loading...
Searching...
No Matches
Halide::ExprCompare Struct Reference

This lets you use an Expr as a key in a map of the form map<Expr, Foo, ExprCompare>. More...

`#include <Expr.h>`

## Public Member Functions

bool | operator() (const Expr &a, const Expr &b) const

## Detailed Description

This lets you use an Expr as a key in a map of the form map<Expr, Foo, ExprCompare>.

Definition at line 334 of file Expr.h.

## Member Function Documentation

## operator()()

bool Halide::ExprCompare::operator() | ( | const Expr & | a,
|  | const Expr & | b ) const

inline

Definition at line 335 of file Expr.h.

References Halide::Expr::get().

The documentation for this struct was generated from the following file:

- src/Expr.h